| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | List of all members
TypeDesc Class Reference

## Public Member Functions
| TypeDesc ()
void | HasNormal (bool value)
bool | HasNormal (void)
void | HasColor (bool value)
bool | HasColor (void)
void | HasSecondaryColor (bool value)
bool | HasSecondaryColor (void)
void | SetNumTextureCoords (unsigned char value)
unsigned char | GetNumTextureCoords (void)
void | SetTexCoordDimension (unsigned char which, unsigned char value)
unsigned char | GetTexCoordDimension (unsigned char which)
void | SetNumVertexAttribs (unsigned char value)
unsigned char | GetNumVertexAttribs (void)
void | SetVertexAttribComponents (unsigned char which, int value)
int | GetVertexAttribComponents (unsigned char which)
void | SetVertexAttribType (unsigned char which, unsigned int value)
unsigned int | GetVertexAttribType (unsigned char which)
void | SetVertexAttribNormalize (unsigned char which, GLboolean value)
unsigned char | GetVertexAttribNormalize (unsigned char which)
void | SetVertexAttribSemantic (unsigned char which, int semanticEnum)
int | GetVertexAttribSemantic (unsigned char which)

## Detailed Description

Type descriptors for Geometry Resources.

## Constructor & Destructor Documentation

## ◆ TypeDesc()

TypeDesc::TypeDesc | ( |  | ) |

## Member Function Documentation

## ◆ GetNumTextureCoords()

unsigned char TypeDesc::GetNumTextureCoords | ( | void |  | ) |

## ◆ GetNumVertexAttribs()

unsigned char TypeDesc::GetNumVertexAttribs | ( | void |  | ) |

## ◆ GetTexCoordDimension()

unsigned char TypeDesc::GetTexCoordDimension | ( | unsigned char | which | ) |

## ◆ GetVertexAttribComponents()

int TypeDesc::GetVertexAttribComponents | ( | unsigned char | which | ) |

## ◆ GetVertexAttribNormalize()

unsigned char TypeDesc::GetVertexAttribNormalize | ( | unsigned char | which | ) |

## ◆ GetVertexAttribSemantic()

int TypeDesc::GetVertexAttribSemantic | ( | unsigned char | which | ) |

## ◆ GetVertexAttribType()

unsigned int TypeDesc::GetVertexAttribType | ( | unsigned char | which | ) |

## ◆ HasColor() [1/2]

void TypeDesc::HasColor | ( | bool | value | ) |

## ◆ HasColor() [2/2]

bool TypeDesc::HasColor | ( | void |  | ) |

## ◆ HasNormal() [1/2]

void TypeDesc::HasNormal | ( | bool | value | ) |

## ◆ HasNormal() [2/2]

bool TypeDesc::HasNormal | ( | void |  | ) |

## ◆ HasSecondaryColor() [1/2]

void TypeDesc::HasSecondaryColor | ( | bool | value | ) |

## ◆ HasSecondaryColor() [2/2]

bool TypeDesc::HasSecondaryColor | ( | void |  | ) |

## ◆ SetNumTextureCoords()

void TypeDesc::SetNumTextureCoords | ( | unsigned char | value | ) |

## ◆ SetNumVertexAttribs()

void TypeDesc::SetNumVertexAttribs | ( | unsigned char | value | ) |

Set the number of generic vertex attributes stored in the resource.

Generic vertex attributes are passed to OpenGL using glVertexAttribPointer. These are special attributes to be used by the vertex shader.

Parameters

  value | The new number of generic vertex attributes

See also
  SetVertexAttribSizeBytes

## ◆ SetTexCoordDimension()

void TypeDesc::SetTexCoordDimension | ( | unsigned char | which,
|  | unsigned char | value
| ) |  |

## ◆ SetVertexAttribComponents()

void TypeDesc::SetVertexAttribComponents | ( | unsigned char | which,
|  | int | value
| ) |  |

Set the size (number of components) in the generic vertex attribute See documentation on glVertexAttribPointer for details.

## ◆ SetVertexAttribNormalize()

void TypeDesc::SetVertexAttribNormalize | ( | unsigned char | which,
|  | GLboolean | value
| ) |  |

Set whether fixed-point data values should be normalized (Default is false) See documentation on glVertexAttribPointer for details.

## ◆ SetVertexAttribSemantic()

void TypeDesc::SetVertexAttribSemantic | ( | unsigned char | which,
|  | int | semanticEnum
| ) |  |

Set semantic of a given generic vertex attribute The semantic value can be used to determine the "meaning" of the vertex attribute.

Parameters

  which | Which vertex attrib to set
  semanticEnum | The new sematic value (see AttributeSemanticEnum)

## ◆ SetVertexAttribType()

void TypeDesc::SetVertexAttribType | ( | unsigned char | which,
|  | unsigned int | value
| ) |  |

Set the type of a given generic vertex attribute See documentation on glVertexAttribPointer for details.

The documentation for this class was generated from the following file:

- GlsGeometryResource.i